Index: ruby/trunk/lib/adl_parser/test/parser_test.rb
===================================================================
--- ruby/trunk/lib/adl_parser/test/parser_test.rb	(revision 291)
+++ ruby/trunk/lib/adl_parser/test/parser_test.rb	(revision 307)
@@ -3,16 +3,16 @@
 class ADLParserTest < Test::Unit::TestCase
   def setup
-    @parser = ::OpenEHR::ADL::Parser.new
+    @parser = ::OpenEhr::ADL::Parser.new
   end
 
   must "assert parser instance" do
-    assert_instance_of ::OpenEHR::ADL::Parser,@parser
-  end
-
-  must "test_archetype_id.adl be properly parsed" do
-    file =  File.read("#{TEST_ROOT_DIR}/adl/test_archetype_id.adl")
+    assert_instance_of ::OpenEhr::ADL::Parser,@parser
+  end
+
+  must "openEHR-EHR-SECTION.summary.v1.adl be properly parsed" do
+    file =  File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-SECTION.summary.v1.adl")
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-SECTION.summary.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -22,5 +22,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-ACTION.imaging.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -30,5 +30,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-ACTION.referral.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -38,5 +38,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.auscultation-chest.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -46,5 +46,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.auscultation.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -55,5 +55,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.exam-abdomen.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -63,5 +63,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.exam-chest.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -71,5 +71,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.exam-generic-joint.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -79,5 +79,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.exam-generic-lymphnode.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -87,5 +87,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.exam-generic-mass.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -95,5 +95,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.exam-generic.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -103,5 +103,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.exam-nervous_system.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -111,5 +111,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-COMPOSITION.discharge.v1draft')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -119,5 +119,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-COMPOSITION.encounter.v1draft')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -127,5 +127,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-INSTRUCTION.medication.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -135,5 +135,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-INSTRUCTION.referral.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -143,5 +143,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-ITEM_TREE.Laboratory_request.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -152,5 +152,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-OBSERVATION.apgar.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -160,5 +160,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-SECTION.findings.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -168,5 +168,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-SECTION.reason_for_encounter.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -177,5 +177,5 @@
     assert_nothing_raised do
       ast = @parser.parse(file, 'openEHR-EHR-SECTION.vital_signs.v1')
-      assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+      assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
     end
   end
@@ -187,5 +187,5 @@
 #     assert_nothing_raised do
 #       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.dimensions-circumference.v1')
-#       assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+#       assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
 #     end
 #   end
@@ -195,5 +195,5 @@
 #     assert_nothing_raised do
 #       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.dimensions.v1')
-#       assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+#       assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
 #     end
 #   end
@@ -203,5 +203,5 @@
 #     assert_nothing_raised do
 #       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.exam-fetus.v1')
-#       assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+#       assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
 #     end
 #   end
@@ -211,5 +211,5 @@
 #     assert_nothing_raised do
 #       ast = @parser.parse(file, 'openEHR-EHR-CLUSTER.exam-uterine_cervix.v1')
-#       assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+#       assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
 #     end
 #   end
@@ -219,5 +219,5 @@
 #     assert_nothing_raised do
 #       ast = @parser.parse(file, 'openEHR-EHR-EVALUATION.adverse.v1')
-#       assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+#       assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
 #     end
 #   end
@@ -226,5 +226,5 @@
 #     assert_nothing_raised do
 #       ast = @parser.parse(file, 'openEHR-EHR-OBSERVATION.body_mass_index.v1')
-#       assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
+#       assert_instance_of OpenEhr::RM::Support::Identification::ArchetypeID, ast.archetype_id
 #     end
 #   end
